SELECT Код_типа_вентилятора INTO #TmpTable FROM Справочник_типов_вентиляторов
SET IDENTITY_INSERT Справочник_типов_вентиляторов ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_вентилятора = 1) INSERT INTO Справочник_типов_вентиляторов (Код_типа_вентилятора,Описание,Напор,Расход,Snom,Частота_вращения) VALUES (1,'Осевой МЦ №4',10,4200,0.25,1450)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_вентилятора = 2) INSERT INTO Справочник_типов_вентиляторов (Код_типа_вентилятора,Описание,Напор,Расход,Snom,Частота_вращения) VALUES (2,'Осевой МЦ №8',35,13000,3,1420)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_вентилятора = 3) INSERT INTO Справочник_типов_вентиляторов (Код_типа_вентилятора,Описание,Напор,Расход,Snom,Частота_вращения) VALUES (3,'МЦ №7',25.5,7800,1.7,1420)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_вентилятора = 4) INSERT INTO Справочник_типов_вентиляторов (Код_типа_вентилятора,Описание,Напор,Расход,Snom,Частота_вращения) VALUES (4,'Ц-3-04 №8',NULL,13100,2.8,1420)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_вентилятора = 5) INSERT INTO Справочник_типов_вентиляторов (Код_типа_вентилятора,Описание,Напор,Расход,Snom,Частота_вращения) VALUES (5,'НАП №7,4',35.3,13400,2.2,730)

SET IDENTITY_INSERT Справочник_типов_вентиляторов OFF
DROP TABLE #TmpTable
